<?php
/**
 * Class DeactivationTracker
 */

namespace Octolize\Shipping\CostOnProductPage\Plugin;

use OctolizeShippingCostOnProductPageVendor\WPDesk\PluginBuilder\Plugin\Hookable;
use OctolizeShippingCostOnProductPageVendor\WPDesk\Tracker\Deactivation\Tracker;
use OctolizeShippingCostOnProductPageVendor\WPDesk\Tracker\Deactivation\TrackerFactory;
use OctolizeShippingCostOnProductPageVendor\WPDesk_Plugin_Info;

/**
 * Register deactivation tracker.
 */
class DeactivationTracker implements Hookable {

	/**
	 * @var WPDesk_Plugin_Info
	 */
	private $plugin_info;

	/**
	 * @param WPDesk_Plugin_Info $plugin_info .
	 */
	public function __construct( WPDesk_Plugin_Info $plugin_info ) {
		$this->plugin_info = $plugin_info;
	}

	/**
	 * @return void
	 */
	public function hooks(): void {
		add_action( 'admin_init', [ $this, 'init_deactivation_tracker' ] );
	}

	/**
	 * Init deactivation tracker.
	 *
	 * @return void
	 */
	public function init_deactivation_tracker(): void {
		$this->get_tracker()->hooks();
	}

	/**
	 * @return Tracker
	 * @codeCoverageIgnore
	 */
	protected function get_tracker(): Tracker {
		return TrackerFactory::createDefaultTracker(
			$this->plugin_info->get_plugin_slug(),
			$this->plugin_info->get_plugin_file_name(),
			$this->plugin_info->get_plugin_name()
		);
	}
}
