<?php
/**
 * Class PluginSettings
 */

namespace Octolize\Shipping\CostOnProductPage;

use Octolize\Shipping\CostOnProductPage\WooCommerceSettings\GeneralSettingsFields;
use Octolize\Shipping\CostOnProductPage\WooCommerceSettings\WooCommerceSettingsPage;

/**
 * Plugin settings.
 */
class PluginSettings {

	/**
	 * @return bool
	 */
	public function is_enabled(): bool {
		return wc_string_to_bool( $this->get_options()[ GeneralSettingsFields::ENABLED_FIELD ] ?? 'no' );
	}

	/**
	 * @return string
	 */
	public function get_calculator_location(): string {
		return 'woocommerce_after_add_to_cart_form';
	}

	/**
	 * @return string[]
	 */
	private function get_options(): array {
		// @phpstan-ignore-next-line
		return (array) get_option( WooCommerceSettingsPage::OPTION_NAME, [] );
	}
}
